Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Properties | List of all members
MadLevelManager.MadLevelConfiguration Class Reference
Inheritance diagram for MadLevelManager.MadLevelConfiguration:

## Classes
class | Group
class | Level

## Public Member Functions
override int | GetHashCode ()
new void | SetDirty ()
Level | CreateLevel ()
Group | CreateGroup ()
void | AddGroup (Group group)
void | RemoveGroup (Group group)
Group | FindGroupById (int groupId)
Group | FindGroupByName (string groupName)
int | LevelCount ()
int | LevelCount (MadLevel.Type type)
int | LevelCount (MadLevel.Type type, int groupId)
Level[] | GetLevelsInOrder ()
Level | GetLevel (int index)
Level | GetLevel (int groupId, int index)
Level | GetLevel (MadLevel.Type type, int index)
Level | GetLevel (MadLevel.Type type, int groupId, int index)
int | FindLevelIndex (MadLevel.Type type, string levelName)
int | FindLevelIndex (MadLevel.Type type, int groupId, string levelName)
Level | FindLevelByName (string levelName)
Level | FindNextLevel (string currentLevelName)
Level | FindNextLevel (string currentLevelName, bool sameGroup)
Level | FindNextLevel (string currentLevelName, MadLevel.Type type)
Level | FindNextLevel (string currentLevelName, MadLevel.Type type, bool sameGroup)
Level | FindPreviousLevel (string currentLevelName)
Level | FindPreviousLevel (string currentLevelName, bool sameGroup)
Level | FindPreviousLevel (string currentLevelName, MadLevel.Type type)
Level | FindPreviousLevel (string currentLevelName, MadLevel.Type type, bool sameGroup)
Level | FindFirstForScene (string levelName, out bool hasMany)
MadLevelExtension | FindExtensionByGUID (string guid)
List< MadLevelScene > | ScenesInOrder ()
bool | IsValid ()
delegate void | Callback0 ()

## Static Public Member Functions
static MadLevelConfiguration[] | FindAll ()
static MadLevelConfiguration | GetActive ()
static MadLevelConfiguration | FindActive ()

## Public Attributes
List< Level > | levels = new List<Level>()
List< Group > | groups = new List<Group>()
List< MadLevelExtension > | extensions = new List<MadLevelExtension>()
Callback0 | callbackChanged = () => {}

## Properties
bool | active`[get, set]`
Group | defaultGroup`[get]`

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Base/MadLevelConfiguration.cs